# frozen_string_literal: true

module I3D
  require 'sketchup'
  require 'extensions'
  # # #
  module CompositionGuides
    NAME = 'Composition Guides'
    FOLDER_NAME = File.basename(__FILE__)[0...-3].freeze
    DIR = File.dirname(__FILE__) unless defined?(self::DIR)
    DESCRIPTION = 'Display composition guides on the viewport.'
    VERSION = '0.0.6'
    if Sketchup.version.to_i >= 16
      MAC = RUBY_PLATFORM =~ /(darwin)/i ? true : false
      WIN = RUBY_PLATFORM =~ /(mswin|mingw)/i ? true : false
    end

    unless defined?(@registered)
      EXTENSION = SketchupExtension.new(NAME, "#{FOLDER_NAME}/menu")
      EXTENSION.description = DESCRIPTION
      EXTENSION.version     = VERSION
      EXTENSION.copyright   = 'Rafael Rivera © 2022'
      EXTENSION.creator     = 'Rafael Rivera'
      Sketchup.register_extension(EXTENSION, true)
      @registered = true
    end
  end
end
